Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Schalter

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente
              sum.komponenten.Schalter

All Implemented Interfaces:
  Serializable

    public class Schalter

extends Textkomponente
implements Serializable

Ein Schalter ist die Klasse fuer Java-Checkboxen. Schalter reagieren auf einen Klick mit der Maus und schalten sich ein bzw. aus.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Field Summary

Fields inherited from class sum.komponenten.Textkomponente
`zAktuellFont, zSchriftArt, zSchriftGroesse, zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`Schalter(double pLinks, double pOben, double pBreite, double pHoehe, String pAufschrift)` Der Schalter wird erzeugt und bekommt den Text pAufschrift.
`Schalter(double pLinks, double pOben, double pBreite, double pHoehe, String pAufschrift, String pGeklicktBearbeiter)` Der Schalter wird erzeugt und bekommt den Text pAufschrift.
`Schalter(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, String pAufschrift)` Der Schalter wird erzeugt und bekommt den Text pAufschrift.

Method Summary
`boolean` | `angeschaltet()` Es wird zurueckgegeben, ob der Schalter angeschaltet ist.
`protected void` | `fokusErhalten()` Der Schalter erhaelt den Fokus.
`protected void` | `fokusVerloren()` Der Schalter verliert den Fokus.
`String` | `inhaltAlsText()` Die Beschriftung des Schalters wird als String zurueckgegeben.
`void` | `schalteAn()` Der Schalter wird angeschaltet.
`void` | `schalteAus()` Der Schalter wird ausgeschaltet.
`protected void` | `schalterGeklickt()` Der Schalter reagiert auf einen Mausklick, indem er die beim Konstruktor als Parameter uebergebene Methode der Anwendung aufruft.
`void` | `setzeBearbeiterGeklickt(String pBearbeiter)` Die Methode zur Bearbeitung des Geklickt-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeInhalt(String pText)` Der Schalter erhaelt eine neue Aufschrift.

Methods inherited from class sum.komponenten.Textkomponente
`inhaltAlsGanzeZahl, inhaltAlsLangeGanzeZahl, inhaltAlsZahl, inhaltIstGanzeZahl, inhaltIstLangeGanzeZahl, inhaltIstText, inhaltIstZahl, init, schriftfarbe, schriftFarbe, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeSchriftart, setzeSchriftArt, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftgroesse, setzeSchriftGroesse, setzeSchriftstil, setzeSchriftStil`

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeGroesse, setzeHinweis, setzePosition, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Schalter

    public Schalter(double pLinks,
                    double pOben,
                    double pBreite,
                    double pHoehe,
                    String pAufschrift)

  Der Schalter wird erzeugt und bekommt den Text pAufschrift. Position, Breite und Hoehe werden als Parameter uebergeben. Der Name der Aktionsmethode, die beim Druecken des Schalteres aufgerufen wird, muss noch festgelegt werden. Der Schalter befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAufschrift` - der Text des Schalters

### Schalter

    public Schalter(double pLinks,
                    double pOben,
                    double pBreite,
                    double pHoehe,
                    String pAufschrift,
                    String pGeklicktBearbeiter)

  Der Schalter wird erzeugt und bekommt den Text pAufschrift. Position, Breite und Hoehe werden als Parameter uebergeben. Der letzte Parameter ist der Name der Aktionsmethode, die beim Druecken des Schalters aufgerufen wird.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAufschrift` - der Text des Schalters
    `pGeklicktBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn der Schalter gedrueckt wurde.

### Schalter

    public Schalter(Fenster pFenster,
                    double pLinks,
                    double pOben,
                    double pBreite,
                    double pHoehe,
                    String pAufschrift)

  Der Schalter wird erzeugt und bekommt den Text pAufschrift. Position, Breite und Hoehe werden als Parameter uebergeben. Der Name der Aktionsmethode, die beim Druecken des Schalteres aufgerufen wird, muss noch festgelegt werden. Der Schalter befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAufschrift` - der Text des Schalters

Method Detail

### angeschaltet

    public boolean angeschaltet()

  Es wird zurueckgegeben, ob der Schalter angeschaltet ist.

  Returns:
    true, wenn der Schalter angeschaltet ist

### fokusErhalten

    protected void fokusErhalten()

  Der Schalter erhaelt den Fokus.

### fokusVerloren

    protected void fokusVerloren()

  Der Schalter verliert den Fokus.

### inhaltAlsText

    public String inhaltAlsText()

  Die Beschriftung des Schalters wird als String zurueckgegeben.

  Specified by:
    `inhaltAlsText` in class `Textkomponente`
  Returns:
    der aktuelle Text des Schalters

### schalteAn

    public void schalteAn()

  Der Schalter wird angeschaltet.

### schalteAus

    public void schalteAus()

  Der Schalter wird ausgeschaltet.

### schalterGeklickt

    protected void schalterGeklickt()

  Der Schalter reagiert auf einen Mausklick, indem er die beim Konstruktor als Parameter uebergebene Methode der Anwendung aufruft.

### setzeBearbeiterGeklickt

    public void setzeBearbeiterGeklickt(String pBearbeiter)

  Die Methode zur Bearbeitung des Geklickt-Ereignisses in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn der Schalter gedrueckt wurde.

### setzeInhalt

    public void setzeInhalt(String pText)

  Der Schalter erhaelt eine neue Aufschrift.

  Specified by:
    `setzeInhalt` in class `Textkomponente`
  Parameters:
    `pText` - der neue Text des Schalters

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD